Skip to main content
POST
/
api
/
setup-scripts
Create a new setup script.
curl --request POST \
  --url https://api.rigbox.dev/api/setup-scripts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "name": "<string>",
  "run_on": "<string>",
  "script_order": 123
}
'
{
  "content": "<string>",
  "created_at": "<string>",
  "id": "<string>",
  "name": "<string>",
  "run_on": "<string>",
  "script_order": 123,
  "source": "<string>",
  "updated_at": "<string>",
  "user_id": "<string>"
}
Setup scripts run automatically when a workspace starts. Use them to install packages, configure services, or seed data.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
content
string
required
name
string
required
run_on
string
script_order
integer<int32> | null

Response

201 - application/json

Setup script created

content
string
required
created_at
string
required
id
string
required
name
string
required
run_on
string
required
script_order
integer<int32>
required
source
string
required
updated_at
string
required
user_id
string
required